%define         aud_ver 1.4.0

Name:           audacious-plugins
Version:        1.4.5
Release:        1%{?dist}
Summary:        Plugins for the Audacious media player

Group:          Applications/Multimedia
License:        GPLv2
URL:            http://audacious-media-player.org/
# The original source files contain various codecs which clash
# with the FE license guidelines. They are removed in the -fedora-
# file.
# Source0:        http://audacious-media-player.org/beta/audacious-plugins-1.2.2.tgz
Source0:        audacious-plugins-fedora-%{version}.tar.gz
Source1:        audacious-plugins.desktop
Patch0:         audacious-plugins-1.2.2-cddb-buffer.patch
Patch1:         audacious-plugins-1.4.1-neon-locking.patch
Patch2:         audacious-plugins-1.4.4-gcc43.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  audacious-devel >= %{aud_ver}, esound-devel >= 0.2, libvorbis-devel >= 1.0
BuildRequires:  zlib-devel, desktop-file-utils >= 0.9, alsa-lib-devel
BuildRequires:  libsidplay-devel, libnotify-devel
BuildRequires:  libmpcdec-devel, libmusicbrainz-devel
BuildRequires:  taglib-devel >= 1.4, libogg-devel >= 1.0, flac-devel >= 1.1.2
BuildRequires:  libvisual-devel >= 0.2, SDL-devel >= 1.2.9
BuildRequires:  gettext, libbinio-devel, curl-devel
BuildRequires:  arts-devel, libmodplug-devel, lirc-devel
BuildRequires:  jack-audio-connection-kit-devel, libsamplerate-devel
BuildRequires:  pulseaudio-libs-devel, fluidsynth-devel
BuildRequires:  wavpack-devel >= 4.31
BuildRequires:  libXcomposite-devel
BuildRequires:  file-devel
BuildRequires:  libmtp-devel
BuildRequires:  neon-devel >= 0.25
BuildRequires:  libmowgli >= 0.5.0
BuildRequires:  mcs-devel >= 0.6.0

Requires:       audacious >= %{aud_ver}

Requires(post):   desktop-file-utils >= 0.9, /sbin/ldconfig
Requires(postun): desktop-file-utils >= 0.9, /sbin/ldconfig

Obsoletes:      audacious-plugins-pulseaudio <= 1.3.5
Provides:       audacious-plugins-pulseaudio = %{version}

%description
Audacious is a media player that currently uses a skinned
user interface based on Winamp 2.x skins. It is based on ("forked off")
BMP.
This package provides essential plugins for audio input, audio output
and visualization.


%package        jack
Summary:        Audacious output plugin for JACK sound service
Group:          Applications/Multimedia
Obsoletes:      audacious-jack <= 1.1.2

Requires:       audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description    jack
This package provides an Audacious output plugin that uses the
JACK sound service.


%package        esd
Summary:        Audacious output plugin for esd sound service
Group:          Applications/Multimedia
Obsoletes:      audacious-esd <= 1.1.2

Requires:       audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description    esd
This package provides an Audacious output plugin that uses the
ESD sound server.


%package        arts
Summary:        Audacious output plugin for KDE arts sound service
Group:          Applications/Multimedia
Obsoletes:      audacious-arts <= 1.1.2

Requires:       audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description    arts
This package provides an Audacious output plugin that uses the
KDE arts sound server.


%package        amidi
Summary:        Audacious imput plugin for amidi
Group:          Applications/Multimedia

Requires:       audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description    amidi
This package provides an Audacious input plugin that uses the
amidi sound service.



%package        wavpack
Summary:        Audacious imput plugin for wavpack
Group:          Applications/Multimedia

Requires:       audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description    wavpack
This package provides an Audacious input plugin that reads WavPack
compressed files.



%package        metronome
Summary:        Audacious imput plugin simulating a metronome
Group:          Applications/Multimedia

Requires:       audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description    metronome
This package provides an Audacious input plugin that simulates
a metronome.



%package        vortex
Summary:        Audacious imput plugin for vortex audio files
Group:          Applications/Multimedia

Requires:       audacious >= %{aud_ver}, audacious-plugins >= %{aud_ver}

%description    vortex
This package provides an Audacious input plugin that reads
vortex compressed files.



%prep
%setup -q -n audacious-plugins-fedora-%{version}

# Fix incorrect use of sprintf in the cdaudio plugin
# %patch0 -p1 -b .cddb-buffer

# Fix locking issues in the neon plugin
# %patch1 -p1 -b .neon-locking

# Fix regressions due to stricter GCC 4.3 checking
%patch2 -p1 -b .gcc43

perl -pi -e 's/^\.SILENT:.*$//' buildsys.mk.in

%build
%configure \
    --disable-rpath \
    --enable-gconf \
    --disable-gnome-vfs \
    --enable-chardet \
    --disable-dependency-tracking \
    --enable-amidiplug \
    --disable-amidiplug-dummy \
    --disable-sndfile \
    --disable-sse2 \
    --enable-neon

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}

desktop-file-install --vendor fedora \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications   \
    %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%post
/sbin/ldconfig
update-desktop-database %{_datadir}/applications


%postun
/sbin/ldconfig
update-desktop-database %{_datadir}/applications


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS
%{_libdir}/audacious/Input
%{_libdir}/audacious/Output
%{_libdir}/audacious/Container
%{_libdir}/audacious/Effect
%{_libdir}/audacious/General
%{_libdir}/audacious/Visualization
%{_libdir}/audacious/Transport
%exclude %{_libdir}/audacious/Input/amidi-plug.so
%exclude %{_libdir}/audacious/Input/wavpack.so
%exclude %{_libdir}/audacious/Input/metronom.so
%exclude %{_libdir}/audacious/Input/vtx.so
%exclude %{_libdir}/audacious/Output/jackout.so
%exclude %{_libdir}/audacious/Output/arts.so
%exclude %{_libdir}/audacious/Output/ESD.so
%{_datadir}/applications/fedora-audacious-plugins.desktop
%{_datadir}/audacious/images/audioscrobbler.png
%{_datadir}/audacious/images/audioscrobbler_badge.png
# %{_datadir}/audacious-plugins
%{_datadir}/audacious/paranormal

%files jack
%defattr(-,root,root,-)
%{_libdir}/audacious/Output/jackout.so

%files arts
%defattr(-,root,root,-)
%{_bindir}/audacious-arts-helper
%{_libdir}/audacious/Output/arts.so

%files esd
%defattr(-,root,root,-)
%{_libdir}/audacious/Output/ESD.so

%files amidi
%defattr(-,root,root,-)
%{_libdir}/audacious/Input/amidi-plug.so
# %{_libdir}/audacious/amidi-plug

%files wavpack
%defattr(-,root,root,-)
%{_libdir}/audacious/Input/wavpack.so

%files metronome
%defattr(-,root,root,-)
%{_libdir}/audacious/Input/metronom.so

%files vortex
%defattr(-,root,root,-)
%{_libdir}/audacious/Input/vtx.so


%changelog
* Mon Feb 11 2008 Ralf Ertzinger <ralf@skytale.net> 1.4.5-1
- Update to 1.4.5

* Fri Jan 02 2008 Ralf Ertzinger <ralf@skytale.net> 1.4.4-2
- Fix compilation with GCC 4.3

* Wed Jan 02 2008 Ralf Ertzinger <ralf@skytale.net> 1.4.4-1
- Update to 1.4.4

* Mon Dec 31 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.3.2-1
- Update to 1.4.3.2

* Sun Dec 29 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.3.1-1
- Update to 1.4.3.1

* Sat Dec 29 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.3-1
- Update to 1.4.3

* Thu Dec 04 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.2-1
- Update to 1.4.2

* Thu Nov 22 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.1-3
- Fix some locking issues in the neon (HTTP/HTTPS stream) plugin

* Mon Nov 19 2007 Ralf Ertzinger <ralf@skytale.net> 1.4.1-1
- Update to 1.4.1

* Mon Oct 15 2007 Lubomir Kundrak <lkundrak@redhat.com 1.3.5-3
- Change BuildReq pulseaudio-devel to pulseaudio-libs-devel
- Fix the License tag

* Fri Aug 3 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.5-2
- Rebuild for clean upgrade path

* Sat Jun 9 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.5-1.fc8
- Update to 1.3.5

* Sat May 26 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.4-2.fc8
- Bump tag for rebuild

* Wed May 16 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.4-1.fc7
- Update to 1.3.4

* Sun Apr 22 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.3-2.fc7
- Introduce aud_ver variable into specfile

* Fri Apr 20 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.3-1.fc7
- Update to 1.3.3

* Sat Apr 07 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.2-1.fc7
- Update to 1.3.2

* Fri Apr 06 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.1-2.fc7
- Own %%{_datadir}/audacious

* Mon Apr 02 2007 Ralf Ertzinger <ralf@skytale.net> 1.3.1-1.fc7
- Update to 1.3.1

* Sun Feb 18 2007 Ralf Ertzinger <ralf@skytale.net> 1.2.5-6.fc7
- Rebuild against new FLAC libraries (for real, this time)

* Thu Feb 15 2007 Ralf Ertzinger <ralf@skytale.net> 1.2.5-5.fc7
- Rebuild against new FLAC libraries

* Mon Jan 15 2007 Ralf Ertzinger <ralf@skytale.net> 1.2.5-4.fc7
- Fix typo in BuildRequires

* Sat Dec 16 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.5-3.fc7
- Rebuild for new wavpack

* Sun Dec 03 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.5-2.fc7
- Disable sndfile, which causes a non-pausable wav plugin to
  be built

* Thu Nov 30 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.5-1.fc7
- Update to 1.2.5
- Add audacious-plugins-wavpack for WavPack input plugin
- Drop cddb patch, included upstream

* Sun Nov 26 2006 Ralf Ertzinger <ralf@skytale.net> 1.2.2-1.fc7
- Initial RPM build for FE
